summaryrefslogtreecommitdiff
path: root/libc
diff options
context:
space:
mode:
authormarcus <marcus>2005-02-06 19:06:43 +0000
committermarcus <marcus>2005-02-06 19:06:43 +0000
commit75ea1d5ef112a3b1f8cb7d6aa87b7dc0ef332290 (patch)
tree604f951236141f1e782d385a3dce9feed634fc92 /libc
parent4673e95351fee2c072a491ec2487277949b07b5a (diff)
2005-02-06 Marcus Brinkmann <marcus@gnu.org>
* patches/09-sysdeps-generic-lseek.patch: New file. * Makefile.am (patch_files): Add 09-sysdeps-generic-lseek.patch.
Diffstat (limited to 'libc')
-rw-r--r--libc/ChangeLog3
-rw-r--r--libc/Makefile.am1
-rw-r--r--libc/patches/09-sysdeps-generic-lseek.patch35
3 files changed, 39 insertions, 0 deletions
diff --git a/libc/ChangeLog b/libc/ChangeLog
index 146979c..17027e9 100644
--- a/libc/ChangeLog
+++ b/libc/ChangeLog
@@ -1,5 +1,8 @@
2005-02-06 Marcus Brinkmann <marcus@gnu.org>
+ * patches/09-sysdeps-generic-lseek.patch: New file.
+ * Makefile.am (patch_files): Add 09-sysdeps-generic-lseek.patch.
+
* Makefile.am (hurd_l4_sysdeps_l4_hurd): Add Makeconfig.
* Makefile.am (patch_files): Add 08-sysdeps-generic-dl-sysdep.patch
diff --git a/libc/Makefile.am b/libc/Makefile.am
index bf1f499..2cc4db6 100644
--- a/libc/Makefile.am
+++ b/libc/Makefile.am
@@ -28,6 +28,7 @@ patch_files = 00-configure-touch.patch 01-configure.in-base-os.patch \
06-sysdeps-generic-open.patch \
07-sysdeps-generic-fcntl.patch \
08-sysdeps-generic-dl-sysdep.patch \
+ 09-sysdeps-generic-lseek.patch \
50-nptl-hurd-l4.patch \
51-nptl-hurd-l4-tls.patch
diff --git a/libc/patches/09-sysdeps-generic-lseek.patch b/libc/patches/09-sysdeps-generic-lseek.patch
new file mode 100644
index 0000000..44e9b3b
--- /dev/null
+++ b/libc/patches/09-sysdeps-generic-lseek.patch
@@ -0,0 +1,35 @@
+#! /bin/sh
+patch -p1 -f $* < $0
+exit $?
+
+2005-02-06 Marcus Brinkmann <marcus@gnu.org>
+
+ * sysdeps/generic/lseek.c (__libc_lseek): Rename to ...
+ (__libc_lseek): ... this.
+ (__lseek): Make it weak hidden alias to __libc_lseek.
+ (lseek): Make it a weak alias to __libc_lseek.
+
+--- libc/sysdeps/generic/lseek.c 2005-02-06 19:53:28.000000000 +0100
++++ libc/sysdeps/generic/lseek.c 2005-02-06 19:58:03.000000000 +0100
+@@ -22,7 +22,7 @@
+
+ /* Seek to OFFSET on FD, starting from WHENCE. */
+ off_t
+-__lseek (fd, offset, whence)
++__libc_lseek (fd, offset, whence)
+ int fd;
+ off_t offset;
+ int whence;
+@@ -46,8 +46,11 @@ __lseek (fd, offset, whence)
+ __set_errno (ENOSYS);
+ return -1;
+ }
++libc_hidden_def (__libc_lseek)
+ stub_warning (lseek)
++
++weak_alias (__libc_lseek, __lseek)
+ libc_hidden_def (__lseek)
++weak_alias (__libc_lseek, lseek)
+
+-weak_alias (__lseek, lseek)
+ #include <stub-tag.h>